summaryrefslogtreecommitdiff
path: root/dev-util/cpptest/cpptest-2.0.0.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/cpptest/cpptest-2.0.0.ebuild')
-rw-r--r--dev-util/cpptest/cpptest-2.0.0.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-util/cpptest/cpptest-2.0.0.ebuild b/dev-util/cpptest/cpptest-2.0.0.ebuild
new file mode 100644
index 000000000000..3d5f2ce9f6ab
--- /dev/null
+++ b/dev-util/cpptest/cpptest-2.0.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Simple but powerful unit testing framework for C++"
+HOMEPAGE="https://github.com/cpptest/cpptest"
+SRC_URI="https://github.com/cpptest/cpptest/releases/download/${PV}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="1" # for soversion 1.x.x
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND="!dev-util/cpptest:0"
+
+DOCS=( AUTHORS BUGS NEWS README )
+
+src_configure() {
+ econf $(use_enable doc)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}